# Social Media

This is a simple application that listens to tweets from a twitter account and routes tweets to a phone number using SAP Live Link 365 api.

## Setup
This project requires Python 3 and pipenv. Run `pipenv install` in order to install all the corresponding packages needed for the application to run.

### Execute
Configure API settings in the config.ini file and set the twitter accounts to follow, with their phone numbers, in the properties.txt file.

To execute, enter the virtual environment using the following command:
`pipenv shell` 

Once in the virtual environment, run the following command:
`python twitter.py`
