"""
url = 'https://api.github.com/some/endpoint'
payload = {'some': 'data'}
headers = {'content-type': 'application/json'}

r = requests.post(url, data=json.dumps(payload), headers=headers)
"""
import base64
import json
import urllib
import urllib2
from urlparse import urlparse

BASE_URL = "https://livelink.sapmobileservices.com/api" #Base URL
def get_oauth_token(key, secret):
    """
    This Function is used to retrieve oAuth2 access_tokens.
    This conforms to oAuth2 Spec client_credentials grant_type.
    This Function is not doing any validation regarding expiration of tokens.
    """
    token_url = BASE_URL + '/oauth/token'
    credentials = "%s:%s" % (key, secret)
    encode_credential = base64.b64encode(credentials.encode('utf-8')).decode('utf-8').replace("\n", "")
    header_params = {
        "Authorization": ("Basic %s" % encode_credential),
        "Content-Type": "application/x-www-form-urlencoded",
        "Accept": "application/json"
    }
    param = {
        'grant_type': 'client_credentials'
    }
    token_data = urllib.urlencode(param)
    token_request = urllib2.Request(url=token_url, headers=header_params, data=token_data.encode('ascii'))
    token_response = urllib2.urlopen(token_request)
    return json.loads(token_response.read().decode('UTF-8'))['access_token']

def sendSMS(auth):
	token_url = BASE_URL + '/messages';
	header_params = {
		"Content-Type": "application/json",
		"Authorization": ("Bearer %s" % auth)
	} 
	param = { 
		"body": "Holis, testing format", 
		"channel": "SMS", 
		"origin": "7025003704", 
		"destination": "50495514526", 
		"callback": "http://teste.com"
	}
	token_data = json.dumps(param).encode('ascii')
	token_request = urllib2.Request(url=token_url, headers=header_params, data=token_data)
	token_response = urllib2.urlopen(token_request)
	return token_response
test = get_oauth_token("eM5lDZ5xI1LAGsPC","SK9KoR8J9n9Vv3oitQo3TV50IA0o79Vk");
print test;
test2 = sendSMS(test);
print test2;